Bug 120484 - cannaLE should have Emacs-like key bindings in pre-edit mode like kinput2
cannaLE should have Emacs-like key bindings in pre-edit mode like kinput2
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
: FutureFeature, i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
Reported: 2004-04-09 05:02 EDT by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 12.0.1-4.svn1891
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-16 01:54:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2004-04-09 05:02:46 EDT
Description of problem:
iiim currently grabs ctrl modified key events.  This means
that standard keys like Ctrl-d etc can't be used in iiimf,
or maybe it has to handle them specially?

Steps to Reproduce:
1. enter some text in iiimf mode with ja or ko LE
2. move cursor back and press Ctrl-d
3. press Ctrl-a
4. press Ctrl-e
5. etc

Actual results:
2. output for d event is inserted.
3. output for a event is inserted.
4. output for e event is inserted.

Expected results:
2. character that cursor is on to be deleted.
3. the cursor to move to bol
4. the cursor to move to eol
Comment 1 Akira TAGOH 2004-04-18 23:04:18 EDT
should be fixed in 1:11.4-38
Comment 2 Jens Petersen 2004-05-14 22:44:24 EDT
Sorry for the late response.  I guess my original report was
unclear, what I would like is really support for emacs-like
bindings inside the input mode, not for control charatcers to be passed
directly on to the underlining program.  Eg now C-d exits
gnome-terminal say, rather deleting the current pre-edit character
to the right, and so on.
Comment 3 Akira TAGOH 2004-05-16 20:30:20 EDT
So do you want iiimf to support customizable keybinding?
Comment 4 Jens Petersen 2004-05-16 22:46:27 EDT
[Customizable keybindings would also be a nice feature. :]

After some private discussion, I think we have clarified the
requirements better now.  Dropping all key events is not the
right behaviour - a minimal set of keys (say C-{a,e,d,g} should
be caught at least and preferrably acted on in pre-edit mode),
it would be nice to have bindings for C-{b,f,k,p,n} too as kinput2
canna and skkinput already have.

So basically this is a rfe to get cannaLE is behave like kinput2,
etc in pre-edit mode.

(Personally I think other LEs should have similar behaviour
implemented also, but I'm less familiar with CK input systems.)
Comment 5 Akira TAGOH 2004-09-14 03:30:04 EDT
this problem should be fixed in 12.0.1-4.svn1891 or later. although
IIIMF doesn't have the customizable keybinding feature, the keybinding
for Canna LE depends on Canna's keybinding now. so you can do that on
Canna's configuration then.
Anyway, I believe Canna LE has no regression for the keybinding.
Comment 6 Jens Petersen 2004-09-16 01:54:34 EDT
Thanks, looks good to me now.
Comment 7 Nakai 2004-09-16 03:31:34 EDT
Do you support C-j too ?

Note You need to log in before you can comment on or make changes to this bug.